part of 'package:zego_uikit_prebuilt_live_streaming/src/controller.dart';

/// @nodoc
mixin ZegoLiveStreamingControllerSwiping {
  final _swipingImpl = LiveStreamingControllerSwipingImpl();

  LiveStreamingControllerSwipingImpl get swiping => _swipingImpl;
}

/// Here are the APIs related to screen sharing.
class LiveStreamingControllerSwipingImpl
    with ZegoLiveStreamingControllerSwipingPrivate {
  bool previous() {
    final targetLiveID = private.config?.requirePreviousLiveID.call();
    if (targetLiveID?.isEmpty ?? false) {
      ZegoLoggerService.logInfo(
        'previous, live id is empty',
        tag: 'live streaming',
        subTag: 'controller.swiping',
      );

      return false;
    }

    private.stream?.add(targetLiveID!);

    return true;
  }

  bool next() {
    final targetLiveID = private.config?.requireNextLiveID.call();
    if (targetLiveID?.isEmpty ?? false) {
      ZegoLoggerService.logInfo(
        'next, live id is empty',
        tag: 'live streaming',
        subTag: 'controller.swiping',
      );

      return false;
    }

    private.stream?.add(targetLiveID!);

    return true;
  }
}
